{
  "name": "@mingqi/w3ajs-client",
  "version": "1.0.1",
  "description": "a package for datagrid rest api encapsulation",
  "main": "dist/client.js",
  "scripts": {
    "test-product": "TYPE=1 EOS=test NETWORK=remote mocha --require babel-polyfill --require babel-register dist/test/",
    "test-local": "TYPE=0 EOS=test NETWORK=local mocha --require @babel/polyfill --require @babel/register dist/test/",
    "prebuild": "npm run clean",
    "build": "babel src --out-dir dist",
    "postbuild": "npm run webpack",
    "build:watch": "babel -w src --out-dir dist",
    "prepublish": "npm run build",
    "webpack": "webpack --mode=production",
    "clean": "rm -rf dist"
  },
  "author": "mingqi.zhang",
  "license": "MIT",
  "devDependencies": {
    "@babel/cli": "^7.1.0",
    "@babel/core": "^7.1.0",
    "@babel/plugin-transform-runtime": "^7.1.0",
    "@babel/polyfill": "^7.0.0",
    "@babel/preset-env": "^7.1.0",
    "@babel/register": "^7.0.0",
    "babel-loader": "^8.0.2",
    "chai": "^4.1.2",
    "esdoc": "^1.1.0",
    "esdoc-standard-plugin": "^1.0.0",
    "grunt": "^1.0.3",
    "grunt-apidoc": "^0.11.0",
    "grunt-babel": "^7.0.0",
    "grunt-contrib-clean": "^1.1.0",
    "grunt-esdoc": "0.0.4",
    "load-grunt-tasks": "^4.0.0",
    "mocha": "^5.2.0",
    "webpack": "^4.19.1",
    "webpack-cli": "^3.1.0"
  },
  "dependencies": {
    "@babel/runtime": "^7.0.0",
    "babel-polyfill": "^6.26.0",
    "babel-register": "^6.26.0",
    "eosjs-ecc": "^4.0.4",
    "is-empty": "^1.2.0",
    "json-size": "^1.0.0",
    "request": "^2.87.0"
  }
}
